Puma Online Help - Mission Simulation

Mission Simulation

Mission Simulation allows the user to automate a schedule of predefined tests, offering a rigorous and continuous testing schedule with no user intervention required.

This is the main window which controls a mission simulation test and gives information on the current status, mission loop count, test loop count, and remaining time until the next test begins.

File Open: Opens a saved mission simulation setup (.tsc).

File Save: Saves a mission simulation setup (.tsc).

Setup Test Schedule: Opens up the test schedule setup dialog as shown below.

Start Test: Start the test schedule once it is defined. Depress button to pause the test schedule once it has started.

Resume Test: Resume a test schedule if it has been stopped.

This is the test schedule setup dialog used to define a mission simulation control document (.tsc).

Test Name: Name of the test. Press the browse button [image] to add a predefined Puma test to the schedule.

Delay: Delay between tests in seconds. It is recommended that this be set to at least 10 seconds to allow for the hardware to finish ramping down and that all data is saved off before moving to the next test.

Loop: Number of times the test is run before moving onto the next test. Remember that this value multiplied by the 'Mission Repeat Count' is the number of times that the test will be executed in a single mission simulation test.

Current Test Loop: Loop number of the current test.

Pause Before Test Loop: When this is set to 'On', user intervention will be required to resume the mission simulation test when a loop check is executed.

On Terminate: If this value is set to 'Stop', the mission simulation test will stop if a test is aborted.

Run Count: Number of times the test has been run.

Importance notice when saving data files using Mission Simulation

With the release of Puma 2.1, the user may now specify the path where you would like the data file to be created. It is recommended that you specify a path for the data file when using [Auto Generate] or [Default] file name generation. This is because certain versions of Window's operating systems will place the data files in the \WINDOWS\SYSTEM32 directory and not where the application was executed. When using earlier versions of Puma, the user may need to move the files to the appropriate location as the [Query] option will work but is not practical when running an automated test schedule.

Copyright 2002 Spectral Dynamics Inc.


Notice

The information in the help document is subject to change without notice.

SPECTRAL DYNAMICS MAKES NO WARRANTY OF ANY KIND WITH REGARD TO THIS HELP MATERIAL, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Spectral Dynamics shall not be liable for errors contained herein or for incidental or consequential damages in connection with the furnishing, performance, or use of this help file.

This document contains proprietary information which is protected by copyright. All rights reserved. No part of this document may be copied or reproduced in any way without the written consent of Spectral Dynamics.

Copyright 2002 Spectral Dynamics Inc.